import { TypedSopNode } from './_Base';
import { CoreGroup } from '../../../core/geometry/Group';
import { CoreObject } from '../../../core/geometry/Object';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class PointSopParamsConfig extends NodeParamsConfig {
    /** @param toggle on to update the x component */
    updateX: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BOOLEAN>;
    /** @param expression the x component */
    x: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
    /** @param toggle on to update the y component */
    updateY: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BOOLEAN>;
    /** @param expression the y component */
    y: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
    /** @param toggle on to update the z component */
    updateZ: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BOOLEAN>;
    /** @param expression the z component */
    z: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
    /** @param toggle on to update the normals */
    updateNormals: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BOOLEAN>;
}
export declare class PointSopNode extends TypedSopNode<PointSopParamsConfig> {
    params_config: PointSopParamsConfig;
    static type(): string;
    private _x_arrays_by_geometry_uuid;
    private _y_arrays_by_geometry_uuid;
    private _z_arrays_by_geometry_uuid;
    static displayedInputNames(): string[];
    initializeNode(): void;
    cook(input_contents: CoreGroup[]): Promise<void>;
    _eval_expressions_for_core_group(core_group: CoreGroup): Promise<void>;
    _eval_expressions_for_core_object(core_object: CoreObject): Promise<void>;
    private _update_from_param;
    private _init_array_if_required;
    private _array_for_component;
    private _commit_tmp_values;
}
export {};
